
Name:           krita
Version:        5.1.5
Release:        %mkrel 2
Summary:        Krita is a FREE sketching and painting program
Group:          Graphical desktop/KDE5
License:        GPLv2+
URL:            http://krita.org
Patch0:          krita-4.4.0-set-sip-executable.patch
Patch10:        krita-5.1.3-xsimd-9.0.1.patch
Patch11:        krita-5.1.5-appstream_validate.patch
#---------------------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64boost-devel
BuildRequires: lib64curl-devel
BuildRequires: lib64exiv2-devel
BuildRequires: lib64fftw-devel
BuildRequires: lib64gsl-devel
BuildRequires: lib64ilmbase-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5guiaddons-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64kitemviews-devel
BuildRequires: lib64lcms2-devel
BuildRequires: lib64OpenColorIO-devel
BuildRequires: lib64openexr-devel
BuildRequires: lib64openjpeg-devel
BuildRequires: lib64png-devel
BuildRequires: lib64poppler-qt5-devel
BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64tiff-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64xfixes-devel
BuildRequires: lib64xi-devel
BuildRequires: libgomp-devel
BuildRequires: libquadmath-devel
BuildRequires: LibRaw-devel
BuildRequires: libxcb-devel
BuildRequires: mesa-devel
BuildRequires: vc >= 1.1.0
BuildRequires: eigen3
BuildRequires: python-qt5-devel
BuildRequires: lib64kitemmodels-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64quazip1-qt5-devel
BuildRequires: python3-sip6
#---------------------------------------------------------
Obsoletes: krita3
Obsoletes: krita4
Provides: krita4 = %version-%release
Provides: libkritatiffpsd.so()(64bit)

%description
Krita is a FREE sketching and painting program.
It was created with the following types of art in mind:
- concept art
- texture or matte painting
- illustrations and comics

%files
%_sysconfdir/xdg/kritarc
%_kf5_bindir/*
%_kf5_datadir/color-schemes/*.colors
%_kf5_datadir/color/icc/krita
%_kf5_datadir/krita
%_kf5_datadir/kritaplugins
%_kf5_datadir/metainfo/org.kde.krita.appdata.xml
%_datadir/applications/*
%_datadir/locale/*/LC_MESSAGES/krita.mo
%_iconsdir/*/*/*/*
%_kf5_libdir
#--------------------------------------------------------------------

%prep 


%build
pushd %_sourcedir
wget -nc https://download.kde.org/stable/krita/%{version}/%name-%{version}.tar.xz
tar -xf %{name}-%{version}.tar.xz -C %_builddir
popd

pushd %_builddir/%name-%{version}
%apply_patches
%cmake_kf5
%make_build
popd

%install
pushd %_builddir/%{name}-%{version}
%make_install -C build
popd

#drop development libraries
rm -f %buildroot/%_libdir/*.so
rm -rf %buildroot/%_includedir

%changelog
* Wed Jun 21 2023 tex - 5.1.5-2pclos2023
- rebuild against updates

* Thu Jan 05 2023 tex - 5.1.5-1pclos2023
- new version

* Mon Jan 02 2023 tex - 5.1.4-2pclos2023
- rebuild against updates

* Wed Dec 14 2022 tex - 5.1.4-1pclos2022
- new version

